import _extends from "@babel/runtime/helpers/extends";
var _jsxFileName = "/home/builduser/work/57e038ea7326c1ec/packages/wix-design-system/dist/esm/SocialButton/test/SocialButton.visual.jsx",
  _this = this;
import React from 'react';
import { snap, story, visualize } from 'storybook-snapper';
import SocialButton from '../SocialButton';
var icons = ['facebook', 'instagram', 'twitter', 'linkedin', 'pinterest', 'youtube', 'xcorp'];
var tests = [{
  describe: 'disabled',
  its: [{
    it: 'true',
    props: {
      icon: 'facebook',
      disabled: true
    }
  }]
}, {
  describe: 'text',
  its: [{
    it: 'undefined',
    props: {
      icon: 'facebook'
    }
  }, {
    it: 'text',
    props: {
      icon: 'facebook',
      text: 'Share me please!'
    }
  }]
}, {
  describe: 'icons',
  its: icons.map(function (icon) {
    return {
      it: icon,
      props: {
        icon: icon
      }
    };
  })
}];
visualize(SocialButton.displayName, function () {
  tests.forEach(function (_ref) {
    var describe = _ref.describe,
      its = _ref.its;
    story(describe, function () {
      its.map(function (_ref2) {
        var it = _ref2.it,
          props = _ref2.props;
        return snap(it, function () {
          return /*#__PURE__*/React.createElement(SocialButton, _extends({}, props, {
            __self: _this,
            __source: {
              fileName: _jsxFileName,
              lineNumber: 55,
              columnNumber: 49
            }
          }));
        });
      });
    });
  });
});